Creates a new business clock configuration.
curl --request POST \
--url https://{install}/api/clock \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entity": "<string>",
"name": "<string>",
"container": [
"<string>"
],
"timezone": "<string>",
"dayStart": "<string>",
"dayEnd": "<string>",
"weekStart": "<string>",
"weekEnd": "<string>",
"nonWorkingDay": [
"<string>"
],
"tick": 123,
"greenThreshold": 123,
"amberThreshold": 123,
"redThreshold": 123,
"tenantId": "<string>",
"id": "<string>",
"created": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updated": "2023-11-07T05:31:56Z",
"updatedBy": "<string>",
"deleted": true
}
'import requests
url = "https://{install}/api/clock"
payload = {
"entity": "<string>",
"name": "<string>",
"container": ["<string>"],
"timezone": "<string>",
"dayStart": "<string>",
"dayEnd": "<string>",
"weekStart": "<string>",
"weekEnd": "<string>",
"nonWorkingDay": ["<string>"],
"tick": 123,
"greenThreshold": 123,
"amberThreshold": 123,
"redThreshold": 123,
"tenantId": "<string>",
"id": "<string>",
"created": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updated": "2023-11-07T05:31:56Z",
"updatedBy": "<string>",
"deleted": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
entity: '<string>',
name: '<string>',
container: ['<string>'],
timezone: '<string>',
dayStart: '<string>',
dayEnd: '<string>',
weekStart: '<string>',
weekEnd: '<string>',
nonWorkingDay: ['<string>'],
tick: 123,
greenThreshold: 123,
amberThreshold: 123,
redThreshold: 123,
tenantId: '<string>',
id: '<string>',
created: '2023-11-07T05:31:56Z',
createdBy: '<string>',
updated: '2023-11-07T05:31:56Z',
updatedBy: '<string>',
deleted: true
})
};
fetch('https://{install}/api/clock', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));using RestSharp;
var options = new RestClientOptions("https://{install}/api/clock");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"entity\": \"<string>\",\n \"name\": \"<string>\",\n \"container\": [\n \"<string>\"\n ],\n \"timezone\": \"<string>\",\n \"dayStart\": \"<string>\",\n \"dayEnd\": \"<string>\",\n \"weekStart\": \"<string>\",\n \"weekEnd\": \"<string>\",\n \"nonWorkingDay\": [\n \"<string>\"\n ],\n \"tick\": 123,\n \"greenThreshold\": 123,\n \"amberThreshold\": 123,\n \"redThreshold\": 123,\n \"tenantId\": \"<string>\",\n \"id\": \"<string>\",\n \"created\": \"2023-11-07T05:31:56Z\",\n \"createdBy\": \"<string>\",\n \"updated\": \"2023-11-07T05:31:56Z\",\n \"updatedBy\": \"<string>\",\n \"deleted\": true\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
Workflow
Creates a new business clock configuration.
POST
/
api
/
clock
Creates a new business clock configuration.
Authorizations
JWT Bearer token. Obtain via the OAuth 2.0 token endpoint.
Body
application/jsonapplication/*+json
The clock configuration to create.
Response
Clock created successfully.
Lists all business clock configurations for the current tenant.
Previous
Deletes a business clock configuration by identifier.
Next
⌘I